kitten-panel(1)

Name
kitten-panel - Use a command line program to draw a GPU accelerated panel on your X11 desktop

Overview

You can use this kitten to draw a GPU accelerated panel on the edge of your screen, that shows the output from an arbitrary terminal program.

It is useful for showing status information or notifications on your desktop using terminal programs instead of GUI toolkits. Screenshot, showing a sample panel (images not supported)

The screenshot above shows a sample panel that displays the current desktop and window title as well as miscellaneous system information such as network activity, CPU load, date/time, etc.

NOTE: This kitten currently only works on X11 desktops

Using this kitten is simple, for example:

kitty +kitten panel sh -c 'printf "\n\n\nHello, world."; sleep 5s'

This will show Hello, world. at the top edge of your screen for five seconds. Here the terminal program we are running is sh with a script to print out Hello, world!. You can make the terminal program as complex as you like, as demonstrated in the screenshot above.

Source code for panel

The source code for this kitten is available on GitHub.

Command line interface

kitty +kitten panel [options] program-to-run

Use a command line program to draw a GPU accelerated panel on your X11 desktop

  Options

--lines <LINES>
    The number of lines shown in the panel (the height of the panel). Applies to horizontal panels. Default: 1

--columns <COLUMNS>
    The number of columns shown in the panel (the width of the panel). Applies to vertical panels. Default: 20

--edge <EDGE>
    Which edge of the screen to place the panel on. Note that some window managers (such as i3) do not support placing docked windows on the left and right edges. Default: top Choices: bottom, left, right, top

--config <CONFIG>, -c <CONFIG>
    Path to config file to use for kitty when drawing the panel.

--override <OVERRIDE>, -o <OVERRIDE>
    Override individual kitty configuration options, can be specified multiple times. Syntax: name=value. For example: kitty +kitten panel -o font_size=20

--class <CLS>
    Set the class part of the WM_CLASS window property. On Wayland, it sets the app id. Default: kitty-panel

--name <NAME>
    Set the name part of the WM_CLASS property (defaults to using the value from kitty --class)

Author
Kovid Goyal

Copyright
2024, Kovid Goyal